summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_create_meta_pkg_sets.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2016-11-08 14:47:49 +0100
committerHolger Levsen <holger@layer-acht.org>2016-11-08 14:51:00 +0100
commit3380e4ae80971c6f67af3db141460450029559a1 (patch)
treed23b1a23a3faa2ac0d90ad9f8e0917a0fa6a18c0 /bin/reproducible_create_meta_pkg_sets.sh
parenta29f86cda482c1f7d7b9c94b016cfdd9ac28266a (diff)
downloadjenkins.debian.net-3380e4ae80971c6f67af3db141460450029559a1.tar.xz
reproducible Debian: deal with 404-code as plain text
Signed-off-by: Holger Levsen <holger@layer-acht.org>
Diffstat (limited to 'bin/reproducible_create_meta_pkg_sets.sh')
-rwxr-xr-xbin/reproducible_create_meta_pkg_sets.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/bin/reproducible_create_meta_pkg_sets.sh b/bin/reproducible_create_meta_pkg_sets.sh
index d8ba5a5d..c74148ce 100755
--- a/bin/reproducible_create_meta_pkg_sets.sh
+++ b/bin/reproducible_create_meta_pkg_sets.sh
@@ -331,7 +331,7 @@ update_pkg_set_specific() {
URL="http://grml.org/files/grml64-full_latest/dpkg.selections"
echo "Downloading $URL now."
curl $URL | cut -f1 > $TMPFILE
- if ! grep '<title>404 Not Found</title>' $TMPFILE ; then
+ if ! grep '404 Not Found' $TMPFILE ; then
echo "parsing $TMPFILE now..."
packages_list_to_deb822
convert_from_deb822_into_source_packages_only
@@ -348,7 +348,7 @@ update_pkg_set_specific() {
URL="https://nightly.tails.boum.org/build_Tails_ISO_devel/lastSuccessful/archive/latest.iso.build-manifest"
echo "Downloading $URL now."
curl $URL > $TMPFILE
- if ! grep '<title>404 Not Found</title>' $TMPFILE ; then
+ if ! grep '404 Not Found' $TMPFILE ; then
echo "parsing $TMPFILE now..."
tails_build_manifest_to_deb824 "$TMPFILE" "$PACKAGES"
convert_from_deb824_into_source_packages_only